| Unuk 1.0

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables

- a
- c
- d
- e
- g
- i
- l
- m
- n
- o
- p
- r
- s
- t
- u
- v
- w
- ~

### - a -

- AStar() : AStar
- AttachGame() : Win32Window

### - c -

- CanBeRemoved() : Entity
- CleanUp() : Player
- closeLog() : Debug
- Colour() : Colour
- Create() : Win32Window

### - d -

- Debug() : Debug
- Destroy() : Entity , Win32Window
- Disable2D() : Sprite

### - e -

- Enable2D() : Sprite
- Entity() : Entity

### - g -

- Game() : Game
- GeneratePath() : AStar
- GetAlpha() : ImageLoader
- GetAngle() : Sprite
- GetBestNode() : AStar
- GetColors() : ImageLoader
- GetElapsedSeconds() : Win32Window
- GetHeight() : ImageLoader , Sprite
- GetLoaded() : ImageLoader
- GetPivotX() : Sprite
- GetPivotY() : Sprite
- GetPixelData() : ImageLoader
- GetPosition() : Entity
- GetType() : Entity
- GetWidth() : Sprite , ImageLoader
- GetX() : Sprite
- GetY() : Sprite

### - i -

- ImageLoader() : ImageLoader
- Init() : Game
- Initialize() : Entity
- InitStep() : AStar
- IsRunning() : Win32Window

### - l -

- length() : Vector2
- LoadBMP() : ImageLoader

### - m -

- message() : Debug

### - n -

- Node() : Node
- normalize() : Vector2

### - o -

- OnResize() : Game
- openLog() : Debug
- operator*() : Vector2
- operator+=() : Vector2
- operator-() : Vector2
- operator=() : Vector2

### - p -

- Player() : Player
- PostRender() : Entity
- Prepare() : Player , Game , Entity
- ProcessEvents() : Win32Window

### - r -

- Render() : Entity , Sprite , Player , Game
- Reset() : AStar
- Rotate() : Sprite

### - s -

- SetAngle() : Sprite
- SetPivot() : Sprite
- SetPosition() : Entity , Player
- SetRows() : AStar
- SetScale() : Sprite
- SetSprite() : Player
- SetVelocity() : Player
- SetX() : Sprite
- SetY() : Sprite
- Shutdown() : Game , Entity
- Sprite() : Sprite
- Static() : Static
- StaticWndProc() : Win32Window
- Step() : AStar
- SwapBuffers() : Win32Window

### - t -

- TexCoord() : TexCoord

### - u -

- UpdateProjection() : Game

### - v -

- Vector2() : Vector2

### - w -

- Win32Window() : Win32Window
- WndProc() : Win32Window

### - ~ -

- ~AStar() : AStar
- ~Debug() : Debug
- ~Entity() : Entity
- ~Game() : Game
- ~ImageLoader() : ImageLoader
- ~Player() : Player
- ~Sprite() : Sprite
- ~Static() : Static
- ~Win32Window() : Win32Window

All Classes Files Functions Variables Typedefs Enumerations Enumerator Defines